#
# GSMoN ͽץ
#
# 06.07  Ver.0.5
# 07.01  Ver.1.0
# 07.04  Ver.1.1
# 07.08  Ver.1.2
# 07.10  Ver.1.3
# 08.01  Ver.1.4
# 08.02  Ver.1.5
# 08.04  Ver.1.6
# 08.05  Ver.1.7
# 08.09  Ver.1.8
# 08.12  Ver.1.9
# 09.05  Ver.2.0
# 10.02  Ver.2.1
# 10.08  Ver.2.2
# 11.02  Ver.2.3
# 12.08  Ver.2.4
#
$target_year = $in{"target_year"};
$target_mon = $in{"target_mon"};
#
require "libs.pl";
require "timelocal.pl";

$target_account = $in{"target_account"};
$filename = sprintf("%4.4d%2.2d",$target_year,$target_mon);
@reg_data = ();
@data = ();
&call_get($target_account,"$target_account/s$filename",*data);
&call_get($target_account,"$target_account/regular_schedule",*reg_data);

require 'timelocal.pl';
$target_mon_t = $target_mon - 1;
$target_year_t = $target_year - 1900;
@lo_m = localtime(&timelocal(0,0,0,1,$target_mon_t,$target_year_t));
$first_week_day = $lo_m[6];

&call_get($group_code{$target_account},"$group_code{$target_account}/s$filename",*data);

&call_get($group_code{$target_account},"$group_code{$target_account}/regular_schedule",*reg_data);

if($group_code2{$target_account} ne ""){
	&call_get($group_code2{$target_account},"$group_code2{$target_account}/s$filename",*data);
	&call_get($group_code2{$target_account},"$group_code2{$target_account}/regular_schedule",*reg_data);
}

if($group_code3{$target_account} ne ""){
	&call_get($group_code3{$target_account},"$group_code3{$target_account}/s$filename",*data);
	&call_get($group_code3{$target_account},"$group_code3{$target_account}/regular_schedule",*reg_data);
}

&rlock("HO","$datadir/GSMoN_HOLIDAY/$target_year");
@hol = <HO>;
close(HO);
$target_holiday = $hol[$target_mon_t];
@holidays = split(/:/,$target_holiday);
foreach $x (@holidays){
	$hol_col[$x] = 1;
}

&make_regular_data();

&rlock("S4","$datadir/GSMoN_EVENT/s$filename");
@sdata4 = <S4>;
close(S4);

@data = (@data,@sdata,@sdata4);

&dup_data();
if($target_account eq $COOKIE{'sch_user'}){
	$jn = $jname{$target_account} . "";
} else {
	$jn = $jgroup{$target_account};
}
# ȥ塼ɽ
print <<EOD;

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
EOD
require 'head.pl';
print <<EOD;
<body class="font11" style="margin:8px">
<div class="body-base">
	<form>
	<span class="font12b" style="color:#0080FF">$target_year ǯ $target_mon $jnΥ塼</span>
	&nbsp;&nbsp;<input type="button" onClick="window.close()" value="Ĥ">
	<div class="right-mid"><span style="color:#00A000;font-size:9pt">Ϥϥ롼ͽ</span><span style="color:#0000FF;font-size:9pt">Ϥϥ٥</span></div>
	<br>
EOD
if($target_year % 4 == 0) {
	$mondays[1] = 29;
}
$s1 = 1;
$d1 = 1;
@sp_data = split(/&sep&/,$sdata[0]);
$target_mon = $target_mon_t;
$target_year = $target_year_t;

local @week_day_p = ("()","()","()","()","()","()","()");
for $i (1 .. $mondays[$target_mon]){
	if($first_week_day == 0){
		print <<EOD;
	<span class="font10red">$i$week_day_p[$first_week_day]</span><br>
EOD
	} elsif($first_week_day == 6){
		print <<EOD;
	<span class="font10blue">$i$week_day_p[$first_week_day]</span><br>
EOD
	} elsif($hol_col[$i]) {
		print <<EOD;
	<span class="font10water">$i$week_day_p[$first_week_day]</span><br>
EOD
	} else {
		print <<EOD;
	<span class="font10">$i$week_day_p[$first_week_day]</span><br>
EOD
	}
	$first_week_day = ($first_week_day + 1) % 7;
	if($sp_data[0] < $i){
		@sp_data = split(/&sep&/,$sdata[$s1++]);
	}
	while($sp_data[0] == $i){
		if($sp_data[10] ne "" && $sp_data[10] ne "E" &&
				$g_account ne $sp_data[5] &&
				(($sp_data[10] !~ /#$group_code{$g_account}#/ &&
				$sp_data[10] !~ /#$group_code2{$g_account}#/ &&
				$sp_data[10] !~ /#$group_code3{$g_account}#/) ||
				$servers{$sp_data[5]} ne "")){
			$sp_data[7] = "----";
			$sp_data[8] = "----";
			$sp_data[11] = "----";
		} else {
			$sp_data[11] =~ s/%cr%/<br>/g;
		}
		if($sp_data[10] eq "E"){
			$bgc = ' style="background-Color:#E0E0FF"';
		} elsif($sp_data[5] =~ /^GROUP[0-9]*$/){
			$bgc = ' style="background-Color:#E0FFE0"';
		} else {
			$bgc = "";
		}
		print <<EOD;
	<table width="90%" style="border-bottom:1px solid gray">
		<tr class="table-bg"$bgc>
			<td width="15%" class="left-top">
				$sp_data[1]:$sp_data[2]$sp_data[3]:$sp_data[4]
			</td>
			<td width="35%" class="left-top">
				$sp_data[7]
			</td>
			<td width="20%" class="left-top">
				$sp_data[8]
			</td>
			<td width="30%" class="left-top">
				$sp_data[11]
			</td>
		</tr>
	</table>
EOD
		@sp_data = split(/&sep&/,$sdata[$s1++]);
	}
	print <<EOD;
	<br>
EOD
}
print <<EOD;
	<input type="button" onClick="window.close()" value="Ĥ">
	</form>
</body>
</html>
EOD
exit;
